## calf 0.90.1

=== debian/changelog ===
calf (0.90.1-2) unstable; urgency=medium

  * Fix autopkgtest failure with X virtual framebuffer (xvfb)

 -- Ross Gammon <rossgammon@debian.org>  Sat, 24 Nov 2018 18:07:58 +0100

calf (0.90.1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Add myself as uploader.
  * Set priority optional.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patches refreshed/removed.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fixed Vcs-* stanzas to salsa.d.o
  * Updated maintainer email address
  * Bumped standards version to 4.1.3

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Erich Eickmeyer ]
  * debian/rules: clean up and modernize rules file
  * debian/control: conflict against calf-ladspa
  * Begin switch to debhelper from cdbs
  * Set debhelper compat level to 11

  [ Ross Gammon ]
  * New upstream release (Closes: #829737, #901705)
    (LP: #1769785)
  * Refresh patches
  * Unapply patches from source
  * Finish switch to debhelper
  * Fix short package description
  * Conflict against calf-ladspa, which is deprecated upstream &
    causes crashes in Ardour when both are installed (LP: #1787414)
  * Add Erich to copyright file
  * Bump version of debhelper build dependency
  * Drop useless dh-autoreconf and autotools-dev build dependencies
  * Add myself to Uploaders
  * Update copyrights & add myself
  * Drop unused & update lintian overrides
  * Drop Jonas from uploaders
  * Bump Standards Version to 4.2.1, no changes required
  * Start with simple dh debian/rules
  * Drop lintian override for missing js source, no longer in tarball
  * Enable all hardening flags
  * Drop cdbs depends, now we have switched to dh
  * Reinstate building experimental and sse flags, sse for both i386 and amd64
  * Reinstate clearout of la files
  * Close bugs in changelog
  * Reduce line length in changelog
  * Add patch to add keywords to desktop file
  * Add a simple autopkgtest
  * Add an upstream metadata file
  * Add a Gitlab CI file

 -- Ross Gammon <rossgammon@debian.org>  Thu, 15 Nov 2018 08:55:40 +0100

calf (0.0.60-5) unstable; urgency=medium

  * Update watch file: Drop uversionmangle upsetting uscan.
  * Add patches cherry-picked upstream to fix GCC 6 compilation
    (replacing patch 3001).
  * Add patches cherry-picked upstream to fix various bugs.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.
  * Update copyright info:
    + Use license shortname public-domain (not PD).
    + Extend coverage of packaging.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied even in oldstable.
    + Stop build-depend on devscripts libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2017 22:55:48 -0400

calf (0.0.60-4) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Team upload.

  [ Johannes Brandstätter ]
  * Fix compilation errors when using GCC 6.

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 14:31:59 +0200

calf (0.0.60-3) unstable; urgency=medium

  * Update watch file:
    + Modernize to use format 4.
    + Mention gbp in usage hint comment.
    + Mangle upstrem prerelease versions.
  * Add patch cherry-picked upstream to fix comboboxes in Ardour4.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize copyright-check CDBS hints.
    + Strop include license-check script (part of cdbs now).
    + Tighten build-dependency on debhelper.
    + Build-depend on libipc-system-simple-perl.
    + Build-depend on libfont-ttf-perl (not lcdf-typetools).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jun 2016 11:50:24 +0200
