=== debian/tests/control ===
Tests: version
Depends: @, xauth, xvfb
