## calf 0.90.2

=== debian/changelog ===
calf (0.90.2-1) experimental; urgency=medium

  * New upstream release
  * Drop 1002-lv2core_to_lv2.patch, fixed upstream
  * Add new copyright
  * Bump standards version, no changes required
  * Use latest Salsa Pipeline runner setup

 -- Ross Gammon <rossgammon@debian.org>  Sun, 09 Jun 2019 10:55:39 +0200
