=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libtool,
  libjs-jquery,
  libjs-jquery-colorbox
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://calf-studio-gear.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/calf.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/calf
