## calf 0.90.2-2~ubuntu18.04.1+9.0trisquel1

=== debian/changelog ===
calf (0.90.2-2~ubuntu18.04.1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Aug 2019 22:29:52 +0000

calf (0.90.2-2~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 13 Jul 2019 04:09:55 +0000

calf (0.90.2-2) UNRELEASED; urgency=medium

  * New sync from Debian experimental

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 10 Jun 2019 20:30:49 -0700
