## calf 0.90.3

=== debian/changelog ===
calf (0.90.3-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:56 +1100

calf (0.90.3-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:01:26 +0000

calf (0.90.3-4) unstable; urgency=medium

  * Bump Standards Version to 4.6.1
  * Remove obsolete d/source/local-options
  * Add libjack-jackd2-dev as optional B-D
  * Update d/source/lintian-overrides
  * Change my email address
  * Apply wrap-and-sort -ast
  * d/copyright: Add myself to the d/ section

 -- Dennis Braun <snd@debian.org>  Wed, 07 Dec 2022 10:29:04 +0100

calf (0.90.3-3) unstable; urgency=medium

  * Remove old patch 020151018~851af01 alredy present in current upstream
    release.
  * Add patch related to pitch bend working only in MIDI channel 1
    (Closes: #970631)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 11 Mar 2022 09:35:56 -0500

calf (0.90.3-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Dennis Braun ]
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.0
  * Set Rules-Requires-Root: no
  * Remove all .a and .la files after installation (Closes: #1000507)
  * Update d/source/lintian-overrides
  * Mark autopkgtest as superficial (Closes: #971454)
  * Add myself as uploader
  * Remove unnecessary automake and autoconf from B-Ds

  [ Olivier Humbert ]
  * update d/control:description since ladish is out of Debian now

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Feb 2022 19:55:01 -0500

calf (0.90.3-1) unstable; urgency=medium

  [ Ross Gammon ]
  * New upstream release
    - Fixes autopkgtest failure (LP: #1833840)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

 -- Ross Gammon <rossgammon@debian.org>  Sun, 04 Aug 2019 16:20:58 +0200
