=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_FLAGS = --enable-experimental

ifeq (i386,$(DEB_HOST_ARCH))
	CONFIG_FLAGS += --enable-sse
else ifeq (amd64,$(DEB_HOST_ARCH))
	CONFIG_FLAGS += --enable-sse
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_FLAGS)

execute_after_dh_install:
	# Clean installation
	find debian/calf-plugins -name '*.a' -delete -or -name '*.la' -delete
