=== debian/changelog ===
calf (0.90.5-0ubuntu2) plucky; urgency=medium

  * Patch to fix symlink locations (LP: #2109344)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 02 May 2025 10:43:47 -0700

calf (0.90.5-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * Refresh patchset, remove upstreamed patches
  * d/control: add cmake to build-depends
  * d/rules: build with '-march=native' on armhf

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 25 Mar 2025 17:02:58 -0700
