=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  Ross Gammon <rossgammon@debian.org>,
  Dennis Braun <snd@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
  dh-buildinfo,
  libasound2-dev [linux-any],
