=== gui/icons/LV2/CMakeLists.txt ===
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
        DESTINATION share/${PROJECT_NAME}/icons/LV2 FILES_MATCHING PATTERN "*.svg")
