=== debian/changelog ===
calf (0.90.6-2) unstable; urgency=medium

  * Remove ladish from Suggests as it's no longer in Debian. Thanks to Carles
    Pina (Closes: #1117817).

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 18 Oct 2025 06:40:59 -0400

calf (0.90.6-1) unstable; urgency=medium

  * New upstream version 0.90.6
  * Bump Standards-Version to 4.7.2
  * Refresh patchset, drop desktop keywords patch applied by upstream
  * Change maintainer to Debian Multimedia Maintainers again

 -- Dennis Braun <snd@debian.org>  Fri, 04 Apr 2025 10:16:48 +0200
