=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: calf
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Tiago Bortoletto Vaz <tiago@debian.org>,
@@ -12,7 +11,6 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-buildinfo,
  libasound2-dev [linux-any],
  libcairo2-dev,
  libexpat1-dev,
@@ -27,7 +25,7 @@
  libtool,
  lv2-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://calf-studio-gear.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/calf.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/calf
@@ -39,8 +37,6 @@
  ${shlibs:Depends},
 Recommends:
  gtk2-engines-pixbuf,
-Suggests:
- ladish,
 Provides:
  lv2-plugin,
 Conflicts:
