=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (armhf,$(DEB_HOST_ARCH))
	CFLAGS += -march=native
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_FLAGS)

execute_after_dh_install:
	# Clean installation
	find debian/calf-plugins -name '*.a' -delete -or -name '*.la' -delete
