=== debian/changelog ===
calf (0.90.9-2) unstable; urgency=medium

  * Team upload
  * Drop autopkgtest
  * Enable SSE on hurd as well

 -- Bastian Germann <bage@debian.org>  Tue, 27 Jan 2026 11:43:07 +0100

calf (0.90.9-1) unstable; urgency=medium

  * Team upload
  * Drop gui (Closes: #967281)
  * New upstream version 0.90.9

 -- Bastian Germann <bage@debian.org>  Mon, 26 Jan 2026 23:32:56 +0100
