=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  libfftw3-dev,
  libfluidsynth-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
  libjack-dev,
  libjs-jquery,
  libjs-jquery-colorbox,
