=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 ifeq (armhf,$(DEB_HOST_ARCH))
 	CFLAGS += -march=native
+else ifeq (i386,$(DEB_HOST_ARCH_CPU))
+	CONFIG_FLAGS += -DWANT_SSE=ON
+else ifeq (amd64,$(DEB_HOST_ARCH_CPU))
+	CONFIG_FLAGS += -DWANT_SSE=ON
 endif
 
 %:
